Subject: [xmpp] WGLC on draft-ietf-xmpp-3920bis-08

From: Ben Campbell <[email-masked]>
Date: Thu, 13 May 2010 16:38:42 -0500

This is a Working Group Last Call on draft-ietf-xmpp-3920bis-08. The draft is available at the following URL:

http://tools.ietf.org/id/draft-ietf-xmpp-3920bis-08.txt 

The WGLC will conclude on 28 May, 2010. Please send your comments, including nits and "this is ready to go" type comments, to the authors and the working group.

Thanks!

Ben.

---

From: Bernard Aboba <[email-masked]>
Date: Thu, 13 May 2010 19:54:12 -0700

Here is an IDNits run on the document:

idnits 2.12.04

tmp/draft-ietf-xmpp-3920bis-08.txt:
tmp/draft-ietf-xmpp-3920bis-08.txt(9257): Line has weird spacing:
'...equence  xmlns...'
tmp/draft-ietf-xmpp-3920bis-08.txt(9258): Line has weird spacing:
'...s:group   ref=...'

  Checking boilerplate required by RFC 5378 and the IETF Trust (see
  http://trustee.ietf.org/license-info):
  ----------------------------------------------------------------------------

     No issues found here.

  Checking nits according to http://www.ietf.org/id-info/1id-guidelines.txt:
  ----------------------------------------------------------------------------

     No issues found here.

  Checking nits according to http://www.ietf.org/id-info/checklist :
  ----------------------------------------------------------------------------

     No issues found here.

  Miscellaneous warnings:
  ----------------------------------------------------------------------------

  == The document seems to lack the recommended RFC 2119 boilerplate, even if

     it appears to use RFC 2119 keywords.

     RFC 2119, paragraph 2:
     "The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
      "SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and "OPTIONAL" in

      this document are to be interpreted as described in RFC 2119."

     (The document does seem to have the reference to RFC 2119 which the
     ID-Checklist requires).
  -- The document date (May 7, 2010) is 7 days in the past.  Is this

     intentional?

  Checking references for intended status: Proposed Standard
  ----------------------------------------------------------------------------

     (See RFCs 3967 and 4897 for information about using normative references

     to lower-maturity documents in RFCs)

  -- Looks like a reference, but probably isn't: '3' on line 476
     'production [3] content of [XML], i.e., any instance of SP, HT, CR...'

  -- Looks like a reference, but probably isn't: '1' on line 969

     '[1] content of [XML]) that are built up through the accumulati...'

  -- Looks like a reference, but probably isn't: '23' on line
     5749
'declaration (matching production [23] content of [XML])....'

  -- Possible downref: Non-RFC (?) normative reference: ref. 'UCS2'

  -- Possible downref: Non-RFC (?) normative reference: ref. 'UNICODE'

  -- Possible downref: Non-RFC (?) normative reference: ref. 'XML'

  -- Possible downref: Non-RFC (?) normative reference: ref. 'XML-NAMES'

  -- Obsolete informational reference (is this intentional?): RFC 4366 (ref.
     'TLS-EXT') (Obsoleted by RFC 5246)

     Summary: 0 errors (**), 1 warning (==), 9 comments (--).

On Thu, May 13, 2010 at 2:38 PM, Ben Campbell <[email-masked]> wrote:

> The WGLC will conclude on 28 May, 2010. Please send your comments,
> including nits and "this is ready to go" type comments, to the authors and
> the working group.
>
> Thanks!
>
> Ben.
> _______________________________________________
> xmpp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/xmpp
>

---

From: Peter Saint-Andre <[email-masked]>
Date: Thu, 13 May 2010 21:41:57 -0600

On 5/13/10 8:54 PM, Bernard Aboba wrote:
> tmp/draft-ietf-xmpp-3920bis-08.txt(9257): Line has weird spacing: '...equence  xmlns...'
> tmp/draft-ietf-xmpp-3920bis-08.txt(9258): Line has weird spacing: '...s:group   ref=...'

Yeah, I lined up some text for readability.

>      (The document does seem to have the reference to RFC 2119 which the

My RFC 2119 boilerplate is a bit idiosyncratic. Perhaps the RFC Editor
will scold me for that. :)

> 'declaration (matching production [23] content of [XML])....'

Those are references to sections of the XML specification.

All of the real references in this document are human-readable (e.g.,
[TERMS]), not numeric. That was an IESG or RFC Editor preference a few
years back, and it makes sense to me.

>   -- Possible downref: Non-RFC (?) normative reference: ref. 'XML-NAMES'

I don't think those are downrefs, but we'll see what the IESG thinks.

>      'TLS-EXT') (Obsoleted by RFC 5246)

The server_name extension is defined in RFC 4366 but was not carried
over to RFC 5246. Perhaps a reference to rfc4366bis would be appropriate
-- I poked the Security ADs about that a few days ago and they promised
to see if they could get that one unstuck.

Thanks!

Peter

-- 
Peter Saint-Andre
https://stpeter.im/